SpareSpare Docs
GuidesAPI Reference

Payments

List and retrieve payments.

POST
/api/v1.0/pis/Payment/List
Authorization
Query

Page number

Number of items per page maximum allow is 100 per page

Provider id (Optional)

Body
*object

Request Body

application/json

Payment filter model.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1.0/pis/Payment/List" \  -H "Content-Type: application/json" \  -d '{}'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": [    {      "paymentId": "472e651e-5a1e-424d-8098-23858bf03ad7",      "reference": "string",      "paymentRequestType": "string",      "externalReference": "string",      "description": "string",      "amount": {        "value": 0,        "currency": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "englishName": "string",          "arabicName": "string",          "iso4117Code": "str",          "iso4117Number": "stri"        }      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "status": "CREATED",      "purpose": "string",      "note": "string",      "creditorAccount": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "scheme": "IBAN",        "identification": "string",        "name": "string"      },      "debtorAccount": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "scheme": "IBAN",        "identification": "string",        "name": "string"      },      "consent": {        "connection": {          "provider": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "country": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "createdAt": "2019-08-24T14:15:22Z",              "updatedAt": "2019-08-24T14:15:22Z",              "currency": {                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",                "englishName": "string",                "arabicName": "string",                "iso4117Code": "str",                "iso4117Number": "stri"              },              "englishName": "string",              "arabicName": "string",              "iso3166Code": "st",              "timeZone": "string"            },            "address": "string",            "phone": "string",            "isEnable": true,            "arabicName": "string",            "englishName": "string",            "status": "Active",            "logo": "http://example.com"          },          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "status": "ACTIVE",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z"        },        "paymentConsentType": "SingleInstantPayment",        "executionDateTime": "2019-08-24T14:15:22Z",        "purpose": "string",        "note": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",        "scope": "Accounts",        "createdAt": "2019-08-24T14:15:22Z",        "status": "AwaitingAuthorization",        "authorizationLink": "string",        "successRedirectUrl": "string",        "failureRedirectUrl": "string"      }    }  ],  "meta": {    "currentPageNumber": 0,    "pageSize": 0,    "totalNumberOfPages": 0  }}
Empty
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty
GET
/api/v1.0/pis/Payment/Get
Authorization
Query

Payment Id

Consent Id

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/pis/Payment/Get"
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "paymentId": "472e651e-5a1e-424d-8098-23858bf03ad7",    "reference": "string",    "paymentRequestType": "string",    "externalReference": "string",    "description": "string",    "amount": {      "value": 0,      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      }    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "status": "CREATED",    "purpose": "string",    "note": "string",    "creditorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "debtorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "consent": {      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "address": "string",          "phone": "string",          "isEnable": true,          "arabicName": "string",          "englishName": "string",          "status": "Active",          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "paymentConsentType": "SingleInstantPayment",      "executionDateTime": "2019-08-24T14:15:22Z",      "purpose": "string",      "note": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "scope": "Accounts",      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "authorizationLink": "string",      "successRedirectUrl": "string",      "failureRedirectUrl": "string"    }  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "paymentId": "472e651e-5a1e-424d-8098-23858bf03ad7",    "reference": "string",    "paymentRequestType": "string",    "externalReference": "string",    "description": "string",    "amount": {      "value": 0,      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      }    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "status": "CREATED",    "purpose": "string",    "note": "string",    "creditorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "debtorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "consent": {      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "address": "string",          "phone": "string",          "isEnable": true,          "arabicName": "string",          "englishName": "string",          "status": "Active",          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "paymentConsentType": "SingleInstantPayment",      "executionDateTime": "2019-08-24T14:15:22Z",      "purpose": "string",      "note": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "scope": "Accounts",      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "authorizationLink": "string",      "successRedirectUrl": "string",      "failureRedirectUrl": "string"    }  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "paymentId": "472e651e-5a1e-424d-8098-23858bf03ad7",    "reference": "string",    "paymentRequestType": "string",    "externalReference": "string",    "description": "string",    "amount": {      "value": 0,      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      }    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "status": "CREATED",    "purpose": "string",    "note": "string",    "creditorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "debtorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "consent": {      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "address": "string",          "phone": "string",          "isEnable": true,          "arabicName": "string",          "englishName": "string",          "status": "Active",          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "paymentConsentType": "SingleInstantPayment",      "executionDateTime": "2019-08-24T14:15:22Z",      "purpose": "string",      "note": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "scope": "Accounts",      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "authorizationLink": "string",      "successRedirectUrl": "string",      "failureRedirectUrl": "string"    }  }}
"INVALID_DATA"
Empty